Skip to content

Shield Search

| View as Markdown

This API is used to search if any entity is blacklisted or has criminal records in the BCFI database who is trying to get onboarded with us. To complete the search, we will pass certain details like agent name, state, mobile no, pan no or city.

https://kraken.airpay.co.in/airpay/ms/shield/api/search
ParameterType ValueDescriptionValue Like
content-type requiredStringapplication/jsonapplication/x-www-form-urlencoded
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredText$string = $param.self+ $header.code::$secret_key; sha256(<concate all values+SECRET KEY>);91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
code requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay ( required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
city optionaltext
(3-70)
Name of the city.Mumbai
agent_name optionaltext
(3-70)
Name of the agentsachin
state optionaltext
(3-70)
Name of the state.Kerala
mobile_no optionaltext
(10)
Mobile Number'92*******7
pan_no optionaltext
(10)
Pancard NumberCCVSV1111D
ParameterType ValueDescriptionValue Like
status requiredNumeric
(3)
airpay status400,200
message requiredTextairpay status messagesuccess,fail
data requiredTextJson response { “status”: status code, “message”: response message, “data”:[ {“parameter”:“array required data”}] }
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/shield/api/search' \
--header 'code: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'city=Mumbai' \
--data-urlencode 'agent_name=sac'
{
"status": "200",
"message": "success",
"data": {
"current_page": 1,
"data": [
{
"merchant_id": 3,
"agent_name": "Sachin",
"pan_no": "CCVSV1111D",
"name_match_score": "67"
}
],
"from": 1,
"last_page": 1,
"per_page": 5,
"to": 1,
"total": 1
},
"checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
{
"status": "400",
"message": "Failed",
"data": ""
}